Patch generated 20071214 by Robby Workman <rworkman@slackbuilds.org>
Permission granted to use this patch as you see fit.

--- FreeImage/Makefile.gnu.orig	2007-12-14 13:34:39.717234989 -0600
+++ FreeImage/Makefile.gnu	2007-12-14 13:52:18.417121669 -0600
@@ -14,13 +14,13 @@
 # Converts cr/lf to just lf
 DOS2UNIX = dos2unix
 
-COMPILERFLAGS = -O3 -fPIC -fexceptions -fvisibility=hidden
+COMPILERFLAGS = -fPIC -fexceptions -fvisibility=hidden
 LIBRARIES = -lstdc++
 
 MODULES = $(SRCS:.c=.o)
 MODULES := $(MODULES:.cpp=.o)
-CFLAGS = $(COMPILERFLAGS) $(INCLUDE)
-CXXFLAGS = $(COMPILERFLAGS)  -Wno-ctor-dtor-privacy $(INCLUDE)
+CFLAGS += $(COMPILERFLAGS) $(INCLUDE)
+CXXFLAGS += $(COMPILERFLAGS)  -Wno-ctor-dtor-privacy $(INCLUDE)
 
 TARGET  = freeimage
 STATICLIB = lib$(TARGET).a
@@ -58,12 +58,13 @@
 	$(CC) -s -shared -Wl,-soname,$(VERLIBNAME) -o $@ $(MODULES) $(LIBRARIES)
 
 install:
-	install -m 644 -o root -g root $(HEADER) $(INCDIR)
-	install -m 644 -o root -g root $(STATICLIB) $(INSTALLDIR)
-	install -m 755 -o root -g root $(SHAREDLIB) $(INSTALLDIR)
-	ln -sf $(SHAREDLIB) $(INSTALLDIR)/$(VERLIBNAME)
-	ln -sf $(VERLIBNAME) $(INSTALLDIR)/$(LIBNAME)	
-	ldconfig
+	install -d 755 $(DESTDIR)/$(INCDIR)
+	install -m 644 $(HEADER) $(DESTDIR)/$(INCDIR)
+	install -d 755 $(DESTDIR)/$(INSTALLDIR)
+	install -m 644 $(STATICLIB) $(DESTDIR)/$(INSTALLDIR)
+	install -m 755 $(SHAREDLIB) $(DESTDIR)/$(INSTALLDIR)
+	cd $(DESTDIR)/$(INSTALLDIR) ; ln -sf $(SHAREDLIB) $(VERLIBNAME)
+	cd $(DESTDIR)/$(INSTALLDIR) ; ln -sf $(VERLIBNAME) $(LIBNAME)	
 
 clean:
 	rm -f core Dist/*.* u2dtmp* $(MODULES) $(STATICLIB) $(SHAREDLIB) $(LIBNAME)
